# Class: Text

## Text

A component that displays a string of plain text.

## Constructor

#### new Text()

A Text component shows plain text. Any text can be safely displayed without escaping, but the browser will treat all sequences of white space as a single space. The text component replaces the inner DOM of its element with a TextNode and it renders the value string in it.

Source:
  - ui/text.reel/text.js, line 8

### Extends

- module:montage/ui/component.Component

### Members

#### (nullable) converter :Converter

An optional converter for transforming the `value` into the corresponding rendered text. Converters are called at time of draw.

##### Type:

- Converter

Default Value:
  - null
Source:
  - ui/text.reel/text.js, line 54

#### defaultValue :string

The default string value assigned to the Text instance.

##### Type:

- string

Default Value:
  - "" empty string
Source:
  - ui/text.reel/text.js, line 63

#### value :string

The string to be displayed. `null` is equivalent to the empty string.

##### Type:

- string

Default Value:
  - null
Source:
  - ui/text.reel/text.js, line 35